<?php
session_start();
$znamenka = array(
	'+' 	=> '+',
	'-' 	=> '-',
	'x' 	=> '*',
	'' 	=> '/'
);

if ($_SERVER['REQUEST_METHOD'] == 'POST') { // zpracovn formule
	$error = array();

	if (!isset($_POST['znamenko']))
		$error[] = 'Zadejte znamnko';
	elseif (!is_string($_POST['znamenko']))
		$error[] = 'Znamnko nen etzec';
	elseif (!in_array($_POST['znamenko'], $znamenka))
		$error[] = 'Nepovolen znamnko';
	if(!isset($_POST['cislo1']))
		$error[] = 'Zadejte slo1';
	elseif (!is_numeric($_POST['cislo1']))
		$error[] = 'slo1 nen slo';
	if (!isset($_POST['cislo2']))
		$error[] = 'Zadejte slo2';
	elseif (!is_numeric($_POST['cislo2']))
		$error[] = 'slo2 nen slo';

	if ($error) {
		$_SESSION['result'] = '<div class="error">' . implode('<br/>', $error) . '</div>';
	} else {
		$_SESSION['result'] = $_POST['cislo1'] . ' ' . $_POST['znamenko'] . ' ' . $_POST['cislo2'] . ' = ';
		$_SESSION['result'] .= eval('return ' . $_POST['cislo1'] . $_POST['znamenko'] . $_POST['cislo2'] . ';');
	}
	Header('Location: kalkul_test.php');
	exit;
}

?>
<!DocType HTML>
<html>
<head>
	<title>Kalkulaka</title>
</head>
<body>
	<h1>Vtejte v m kalkulace!</h1>
	<?php if (isset($_SESSION['result'])) { ?>
	<div id="result">
	<?php echo $_SESSION['result']; ?>
	</div>
	<?php } ?>
	<form action="kalkul_test.php" method="post">
		<input type="number" name="cislo1" size="5" maxlength="3">
		<select name="znamenko" size="1" maxlength="1">
		<?php foreach($znamenka as $jmeno => $hodnota) { ?>
		<option value="<?php echo $hodnota; ?>"><?php echo $jmeno; ?></option>
		<?php } ?>
		</select>
		<input type="number" name="cislo2" size="5" maxlength="3"><br>
		<button type="submit">Vypotat</button>
	</form>
</body>
</html>
